For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • GETDownload gross to net report
      • GETGets G2N report data for a given payroll cycle by it's ID.
      • GETList gross-to-net report.
      • GETList payroll events by legal entity
LogoLogo
SupportDeel Home
EndpointsReports

Gets G2N report data for a given payroll cycle by it's ID.

GET
/reports/payroll/cycles/:cycle_id/gross-to-net
GET
/rest/v2/reports/payroll/cycles/:cycle_id/gross-to-net
$curl -G https://api.letsdeel.com/rest/v2/reports/payroll/cycles/bcde50dc-3540-4f9a-a395-3486d2f54ee8/gross-to-net \
> -H "Authorization: Bearer <token>" \
> -d limit=20 \
> -d cursor=x5d0c4eax5d0c4eax5d0c4eax5d0c4ea
1{
2 "data": [
3 {
4 "items": [
5 {
6 "label": "Allowance",
7 "value": 1200.5,
8 "category": "Gross (Taxable)",
9 "sub_category": "Bonus",
10 "category_group": "DEDUCTIONS"
11 }
12 ],
13 "currency": "USD",
14 "contract_oid": "72aa50d",
15 "payment_data": {
16 "conversion_rate": "1.08",
17 "payment_currency": "EUR"
18 }
19 }
20 ],
21 "has_more": true,
22 "created_at": "2025-10-15T09:12:00Z",
23 "updated_at": "2025-10-15T09:12:00Z",
24 "next_cursor": "cursor_bf35c551",
25 "items_per_page": 20
26}

Returns categorized gross-to-net data — including category group, category, sub-category, and label — for each contract within the payroll cycle identified by cycle_id. Token scopes: payslips:read

Was this page helpful?
Previous

List gross-to-net report.

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

cycle_idstringRequiredformat: "uuid"
The unique identifier for the payroll event.

Query parameters

limitintegerOptional1-100Defaults to 20
Maximum number of items to return. Defaults to 20.
cursorstringOptional
Cursor for pagination of results.

Response

Successful operation.
datalist of objects
List of contracts associated with the payroll event.
has_moreboolean
Indicates whether more pages are available.
created_atstringformat: "date-time"
Timestamp when the report was generated
updated_atstringformat: "date-time"
Timestamp when the report was updated
next_cursorstring or null
Pagination cursor to fetch the next page of results.
items_per_pageinteger
The number of items per page.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/